import { EventEmitter, type OnChanges, type SimpleChanges } from '@angular/core';
import { NestedTreeControl } from '@angular/cdk/tree';
import { MatTreeNestedDataSource } from '@angular/material/tree';
import * as i0 from "@angular/core";
export declare class FileNode {
    name: string;
    url: string;
    nocache: boolean;
    children: {
        [key: string]: FileNode;
    };
    constructor(name?: string);
}
export declare class FileEvent {
    url: string;
    nocache: boolean;
    constructor(url: string, nocache: boolean);
}
export declare class FileExplorerComponent implements OnChanges {
    rootFileNode: FileNode;
    onFileSelect: EventEmitter<FileEvent>;
    treeControl: NestedTreeControl<FileNode, FileNode>;
    dataSource: MatTreeNestedDataSource<FileNode>;
    ngOnChanges(changes: SimpleChanges): void;
    hasChildren: (_: number, node: FileNode) => boolean;
    onSelect(url: string, nocache: boolean): void;
    /**
     * Sort the FileNode's children with folders before files.
     * @param node FileNode whose children are to be sorted.
     * @returns An array of sorted FileNodes.
     */
    getSortedChildren(node: FileNode): FileNode[];
    static ɵfac: i0.ɵɵFactoryDeclaration<FileExplorerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileExplorerComponent, "app-file-explorer", never, { "rootFileNode": { "alias": "rootFileNode"; "required": false; }; }, { "onFileSelect": "onFileSelect"; }, never, never, false, never>;
}
