import { type OnInit, ComponentRef, type OnDestroy } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { InfoPanelOverlayComponent } from './info-panel-overlay/info-panel-overlay.component';
import * as i0 from "@angular/core";
/**
 * Component for toggling info panel overlay
 */
export declare class InfoPanelComponent implements OnInit, OnDestroy {
    private overlay;
    /** @ignore */
    showInfoPanel: boolean;
    /** Information panel overlay window */
    overlayWindow: ComponentRef<InfoPanelOverlayComponent>;
    /**
     * Create the info panel toggle
     * @param overlay Info panel overlay containing logger data
     */
    constructor(overlay: Overlay);
    /**
     * Create the info panel overlay
     */
    ngOnInit(): void;
    /**
     * Destroy the info panel overlay
     */
    ngOnDestroy(): void;
    /**
     * Toggle the info panel overlay
     */
    toggleOverlay(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InfoPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InfoPanelComponent, "app-info-panel", never, {}, {}, never, never, false, never>;
}
