import { type OnInit } from '@angular/core';
import { EventDisplayService } from '../../../../services/event-display.service';
import { MatDialogRef } from '@angular/material/dialog';
import { type EventDataImportOption, ImportOption } from '../../../../services/extras/event-data-import';
import * as i0 from "@angular/core";
export declare class IOOptionsDialogComponent implements OnInit {
    private eventDisplay;
    dialogRef: MatDialogRef<IOOptionsDialogComponent>;
    eventDataImportOptions: EventDataImportOption[];
    eventDataOptionsWithHandler: ImportOption[];
    private supportedEventDataFormats;
    constructor(eventDisplay: EventDisplayService, dialogRef: MatDialogRef<IOOptionsDialogComponent>);
    ngOnInit(): void;
    getSupportedEventDataFormats(): string;
    onClose(): void;
    handleJSONEventDataInput(files: FileList): void;
    handleEDM4HEPJSONEventDataInput(files: FileList): void;
    handleJiveXMLDataInput(files: FileList): void;
    private getJiveXMLLoader;
    handleOBJInput(files: FileList): void;
    handleSceneInput(files: FileList): void;
    handleGLTFInput(files: FileList): void;
    handlePhoenixInput(files: FileList): void;
    handleROOTInput(files: FileList): Promise<void>;
    handleRootJSONInput(files: FileList): Promise<void>;
    handleIgEventDataInput(files: FileList): void;
    handleZipEventDataInput(files: FileList): Promise<void>;
    handleFileInput(file: File, extensions: string, callback: (result: string, fileName?: string) => void): void;
    private isFileOfExtension;
    saveScene(): void;
    exportOBJ(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IOOptionsDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IOOptionsDialogComponent, "app-io-options-dialog", never, { "eventDataImportOptions": { "alias": "eventDataImportOptions"; "required": false; }; }, {}, never, never, false, never>;
}
