import { type OnInit } from '@angular/core';
import { Vector3 } from 'three';
import { MatCheckboxChange } from '@angular/material/checkbox';
import { MatDialogRef } from '@angular/material/dialog';
import { EventDisplayService } from '../../../../services/event-display.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CartesianGridConfigComponent implements OnInit {
    data: {
        gridVisible: boolean;
        scale: number;
    };
    private dialogRef;
    private eventDisplay;
    cartesianPos: Vector3;
    originChangedSub: Subscription;
    stopShiftingSub: Subscription;
    showCartesianGrid: boolean;
    gridConfig: {
        showXY: boolean;
        showYZ: boolean;
        showZX: boolean;
        xDistance: number;
        yDistance: number;
        zDistance: number;
        sparsity: number;
    };
    scale: number;
    shiftGrid: boolean;
    constructor(data: {
        gridVisible: boolean;
        scale: number;
    }, dialogRef: MatDialogRef<CartesianGridConfigComponent>, eventDisplay: EventDisplayService);
    ngOnInit(): void;
    onClose(): void;
    onSave(x: any, y: any, z: any): void;
    shiftCartesianGridByPointer(): void;
    shiftCartesianGridByValues(position: Vector3): void;
    translateGrid(position: Vector3): void;
    addXYPlanes(zDistance: Event): void;
    addYZPlanes(xDistance: Event): void;
    addZXPlanes(yDistance: Event): void;
    changeSparsity(sparsity: Event): void;
    showXYPlanes(change: MatCheckboxChange): void;
    showYZPlanes(change: MatCheckboxChange): void;
    showZXPlanes(change: MatCheckboxChange): void;
    callSetShowCartesianGrid(): void;
    calcPlanes(dis: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<CartesianGridConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CartesianGridConfigComponent, "app-cartesian-grid-config", never, {}, {}, never, never, false, never>;
}
