import { type OnInit, type OnDestroy } from '@angular/core';
import { PresetView } from 'phoenix-event-display';
import { MatCheckboxChange } from '@angular/material/checkbox';
import { EventDisplayService } from '../../../services/event-display.service';
import { MatDialog } from '@angular/material/dialog';
import { Subscription } from 'rxjs';
import { Vector3 } from 'three';
import { MatMenuTrigger } from '@angular/material/menu';
import * as i0 from "@angular/core";
export declare class ViewOptionsComponent implements OnInit, OnDestroy {
    private eventDisplay;
    private dialog;
    trigger: MatMenuTrigger;
    showCartesianGrid: boolean;
    scale: number;
    views: PresetView[];
    show3DPoints: boolean;
    origin: Vector3;
    sub: Subscription;
    constructor(eventDisplay: EventDisplayService, dialog: MatDialog);
    ngOnInit(): void;
    openCartesianGridConfigDialog(): void;
    displayView($event: any, view: PresetView): void;
    setAxis(change: MatCheckboxChange): void;
    setEtaPhiGrid(change: MatCheckboxChange): void;
    setCartesianGrid(change: MatCheckboxChange): void;
    showLabels(change: MatCheckboxChange): void;
    show3DMousePoints(change: MatCheckboxChange): void;
    toggleShowDistance(change: MatCheckboxChange): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ViewOptionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ViewOptionsComponent, "app-view-options", never, {}, {}, never, never, false, never>;
}
