import { EventDisplayService } from '../../../services/event-display.service';
import * as i0 from "@angular/core";
/**
 * Component for adding zoom controls for the main and overlay cameras.
 */
export declare class ZoomControlsComponent {
    private eventDisplay;
    /** All camera being used by the scene. */
    allCameras: any[];
    /** Factor to zoom by. */
    private zoomFactor;
    /** Timeout for clearing mouse hold. */
    private zoomTimeout;
    /** The speed and time of zoom. */
    private zoomTime;
    constructor(eventDisplay: EventDisplayService);
    /**
     * Zoom all the cameras by a specific zoom factor.
     * The factor may either be greater (zoom in) or smaller (zoom out) than 1.
     * @param zoomFactor The factor to zoom by.
     */
    zoomTo(zoomFactor: number): void;
    /**
     * Zoom the camera in.
     * @param leftClick Whether the mouse click is left or not.
     */
    zoomIn(leftClick: boolean): void;
    /**
     * Zoom the camera out.
     * @param leftClick Whether the mouse click is left or not.s
     */
    zoomOut(leftClick: boolean): void;
    /**
     * Reset the zoom time which decreases upon hold and clear the zoom timeout.
     */
    clearZoom(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZoomControlsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ZoomControlsComponent, "app-zoom-controls", never, {}, {}, never, never, false, never>;
}
