import { ErrorHandler, Injector } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Global handler for handling app/module wide errors.
 */
export declare class GlobalErrorHandler implements ErrorHandler {
    private injector;
    /**
     * Instantiate the global error handler.
     * @param injector Injector for getting the error message service.
     */
    constructor(injector: Injector);
    /**
     * A handler for handling the global error that occurs in the app.
     * @param error The error that occurred.
     */
    handleError(error: Error): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GlobalErrorHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GlobalErrorHandler>;
}
